[Overview][Procedures and functions][Index] | Reference for unit 'Strings' (#rtl)

# stripos

Return the position of a substring in a string, case insensitive.

## Declaration

Source position: strings.pp line 91

`function stripos(`
`str1: PChar;`
`str2: PChar`
`):PChar;`

## Description

stripos returns the position of str2 in str1. It searches in a case-insensitive manner, and if it finds a match, it returns a pointer to the location of the match. If no match is found, Nil is returned.

## Errors

No checks are done on the validity of the pointers, and the pointers are assumed to point to a properly null-terminated string. If either of these conditions are not met, a run-time error may follow.

## See also

striscan |  | Scan a string for a character, case-insensitive
strpos |  | Search for a null-terminated substring in a null-terminated string